| ghc-6.12.3: The GHC API | Contents | Index

SPARC.CodeGen.Gen64

Description
Evaluation of 64 bit values on 32 bit platforms.
Synopsis

assignMem_I64Code :: CmmExpr -> CmmExpr -> NatM InstrBlock
assignReg_I64Code :: CmmReg -> CmmExpr -> NatM InstrBlock
iselExpr64 :: CmmExpr -> NatM ChildCode64

Documentation
assignMem_I64Code

:: CmmExpr | expr producing the desination address
-> CmmExpr | expr producing the source value.
-> NatM InstrBlock |
Code to assign a 64 bit value to memory.

assignReg_I64Code

:: CmmReg | the destination register
-> CmmExpr | expr producing the source value
-> NatM InstrBlock |
Code to assign a 64 bit value to a register.

iselExpr64 :: CmmExpr -> NatM ChildCode64
Get the value of an expression into a 64 bit register.
Produced by Haddock version 2.6.1